Bug 1413150 - [RFE] Add warning to change CL to the match the installed engine version
Summary: [RFE] Add warning to change CL to the match the installed engine version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.0.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.1.1
: ---
Assignee: Ravi Nori
QA Contact: sefi litmanovich
URL:
Whiteboard:
Depends On:
Blocks: 1485704 1486745
TreeView+ depends on / blocked
 
Reported: 2017-01-13 18:24 UTC by Marina Kalinin
Modified: 2019-04-28 13:50 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The Red Hat Virtualization Manager now provides warnings for all data centers and clusters that have not been upgraded to latest installed version. The compatibility version of all data centers is checked once a week, and on Manager startup. If it is not the latest version, an alert is raised and stored in the audit log. The Data Centers and Clusters main tabs now also show an exclamation mark icon for each data center or cluster that is not at the latest version. Hovering over this icon displays a recommendation to upgrade the compatibility version.
Clone Of:
Environment:
Last Closed:
oVirt Team: Infra
Target Upstream Version:
mavital: testing_plan_complete?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:0997 0 normal SHIPPED_LIVE Red Hat Virtualization Manager (ovirt-engine) 4.1 GA 2017-04-18 20:11:26 UTC
oVirt gerrit 71799 0 None None None 2017-02-13 14:34:50 UTC
oVirt gerrit 72234 0 None None None 2017-02-20 20:10:15 UTC
oVirt gerrit 72282 0 None None None 2017-02-20 20:09:42 UTC
oVirt gerrit 72782 0 None None None 2017-02-21 19:40:44 UTC
oVirt gerrit 72783 0 None None None 2017-02-21 19:41:17 UTC
oVirt gerrit 72784 0 None None None 2017-02-21 19:41:52 UTC

Description Marina Kalinin 2017-01-13 18:24:42 UTC
Multiple users skip upgrading DataCenter and Cluster CL to latest version. They just get the engine upgraded to the next minor/major version, and keep the rest of the environment on the original CL.

This behavior is not recommended and can lead to different kinds of issues in the future. The intend use of this CL is for rolling upgrade of the environment, for the time of the upgrade process.

We need to make the administrators of the environment aware of this problem and bug them regularly with this warning.

How to implement:
If there is a DC or cluster in the environment, that their CL is lower then the current engine version[1], issue an alert recommending to change the CL to latest[2]. 

Also, maybe we should add a note to the login screen or present that warning after the login to a user as a pop up message?

Lastly, each such DC and cluster should have a warning sign next to them with this message[2] as a tooltip. (warning sign similar to one we have on a host without fencing)


[1] For example: Engine is 4.1, DC is 3.6 or 4.0.
[2] Your DC/cluster XXXX CL is Y. Latest engine version is Z. Update your CL to Z ASAP to allow your system to operate correctly.  (PM may weigh in the exact text message).

Comment 1 Yaniv Kaul 2017-01-13 19:36:10 UTC
Good idea, I've always been bothered by it as well.

Comment 3 Martin Perina 2017-01-16 09:32:17 UTC
(In reply to Marina from comment #0)
> Multiple users skip upgrading DataCenter and Cluster CL to latest version.
> They just get the engine upgraded to the next minor/major version, and keep
> the rest of the environment on the original CL.
> 
> This behavior is not recommended and can lead to different kinds of issues
> in the future. The intend use of this CL is for rolling upgrade of the
> environment, for the time of the upgrade process.
> 
> We need to make the administrators of the environment aware of this problem
> and bug them regularly with this warning.
> 
> How to implement:
> If there is a DC or cluster in the environment, that their CL is lower then
> the current engine version[1], issue an alert recommending to change the CL
> to latest[2]. 

When do you propose to send those alerts? Periodical alerts can be very annoying, but we can probably schedule a job a few minutes after engine startup to check DC/cluster versions and send those alerts

> 
> Also, maybe we should add a note to the login screen or present that warning
> after the login to a user as a pop up message?

I'd prefer not to do that:

 1. When login screen is displayed we don't know if user is valid, not to mention we don't know if it's an admin or regular user
 2. Login screen is part of SSO and we would need to create some communication infra to show such message

In theory we could implement a page which will contain this warning and will be displayed after successful login to webadmin with "Continue" button, so admin will be forced to click "Continue" to continue to dashboard. But that's something our UX team should decide if OK or not.

> 
> Lastly, each such DC and cluster should have a warning sign next to them
> with this message[2] as a tooltip. (warning sign similar to one we have on a
> host without fencing)

Again this should be reviewed by UX

Comment 4 Marina Kalinin 2017-01-30 20:26:27 UTC
Martin, thanks for your input makes sense about the login page.
Re: annoying for the users - the goal is to make this annoying until the user finally upgrades, since from my understanding, this state is not recommended for long run.

Comment 5 Martin Perina 2017-02-06 15:07:22 UTC
So after some offline discussion what do you think about following solution:

1) After engine start up we will execute a new job inside engine which will scan all existing data centers and clusters and it will create a alert message in audit log for each DC/cluster which has lower than latest version.

2) This job will be executed periodically once per day

3) Let's discuss with UX team how to identify data centers / clusters which are mot yet upgraded in DCs/clusters tabs

Marina?

Comment 6 Yaniv Kaul 2017-02-07 07:47:17 UTC
(In reply to Martin Perina from comment #5)
> So after some offline discussion what do you think about following solution:
> 
> 1) After engine start up we will execute a new job inside engine which will
> scan all existing data centers and clusters and it will create a alert
> message in audit log for each DC/cluster which has lower than latest version.
> 
> 2) This job will be executed periodically once per day

Once per week sounds good enough to me, and on every engine start.
Y.

> 
> 3) Let's discuss with UX team how to identify data centers / clusters which
> are mot yet upgraded in DCs/clusters tabs
> 
> Marina?

Comment 7 Marina Kalinin 2017-02-13 22:17:22 UTC
I would go with Yaniv's suggestion - once a week. By the end - it is yours, Engineering, recommendation for this, so you know better how important it is to make this change.


However, I think the important part should be also the notification in UI next to those, not yet upgraded clusters and data centers. If you constantly see some warning message next to some of your entities in UI, you will think to change it, right?

Comment 8 Martin Perina 2017-02-14 13:56:32 UTC
(In reply to Marina from comment #7)
> I would go with Yaniv's suggestion - once a week. By the end - it is yours,
> Engineering, recommendation for this, so you know better how important it is
> to make this change.
> 
> 
> However, I think the important part should be also the notification in UI
> next to those, not yet upgraded clusters and data centers. If you constantly
> see some warning message next to some of your entities in UI, you will think
> to change it, right?

Yes, we are working on that. We will use the same approach as in Hosts tab when Power Management is not enabled for a host: for each not upgraded DC/cluster you will see an "exclamation mark" and when you hover mouse on top of it, you will see tooltip describing the issue ...

Comment 9 Martin Perina 2017-03-10 15:43:11 UTC
Moving to ON_QA manually as this bug is included even in 4.1.1.3 build, but not moved on ON_QA automatically. Bug is attached to 4.1 errata https://errata.devel.redhat.com/advisory/24903 so hopefully there won't be any issues

Comment 10 sefi litmanovich 2017-03-13 13:54:34 UTC
Verified with rhevm-4.1.1.4-0.1.el7.noarch

1. Had dc with comp version 4.0, 1 cluster with comp version 4.0 and one 3.6.
The dc and the 2 clusters have each an exclamation mark near the icon. When hovering above it a message is shown suggesting to upgrade the cluster/dc.

2. Restarted engine - on startup in audit log I can see the warning suggesting to upgrade the dc.

3. Changed date on the engine machine for 8 days ahead.. in audit log a new message is issued.

So mechanism works fine, the only question I have is regarding the corner case where an old cluster exists without a DC (this can be possible if the data centre is forcefully removed). In this case no audit log message will be issued (they concern only DCs).
So it's a matter of how we choose to handle this case.
Verifying the bug but opening this for discussion and if needed we can open a new bug/rfe for this case.

Comment 11 Martin Perina 2017-03-17 14:16:31 UTC
> So mechanism works fine, the only question I have is regarding the corner
> case where an old cluster exists without a DC (this can be possible if the
> data centre is forcefully removed). In this case no audit log message will
> be issued (they concern only DCs).
> So it's a matter of how we choose to handle this case.
> Verifying the bug but opening this for discussion and if needed we can open
> a new bug/rfe for this case.

AFAIK clusters without DC can exists only without any hosts (you cannot forcefully remove a DC which contains any hosts), so there is no meaning to update such clusters and they are only remains. I don't think it's worth the effort to solve this corner case


Note You need to log in before you can comment on or make changes to this bug.